# Create a Stable URL

Launch stage: GA

`POST /api/disaster-recovery/v1/{parent=accounts/*}/stable-urls`

Create a new stable URL.

API scopes: disaster-recovery

Clouds: AWS, Azure

## Path parameters

- `parent` (string, required)
  The parent resource. Format: accounts/{account_id}.

## Query parameters

- `validate_only` (boolean, optional)
  When true, validates the request without creating the stable URL.
  Default: `false`
- `stable_url_id` (string, required)
  Client-provided identifier for the stable URL. Used to construct the
   resource name as {parent}/stable-urls/{stable_url_id}.

## Request body

The stable URL to create.
- `name` (string, optional, ID, Immutable)
  Fully qualified resource name.
   Format: accounts/{account_id}/stable-urls/{stable_url_id}.
- `initial_workspace_id` (string, required, Input only, Immutable)
  The workspace this stable URL is initially bound to. Used only in Create
   requests to associate the stable URL with a workspace. Not returned in
   responses.

## Returns

Returns the StableUrl object.

## Response

```json
{
  "name": "string",
  "url": "string",
  "failover_group_name": "string",
  "effective_workspace_id": "string",
  "stable_workspace_id": "string"
}
```

